using System;
class HelloWorld 
{
  static void Main() 
  {
      var ab = Console.ReadLine().Split();
      int a = int.Parse(ab[0]);
      int b = int.Parse(ab[1]);
      var xy = Console.ReadLine().Split();
      int x = int.Parse(xy[0]);
      int y = int.Parse(xy[1]);
      if(x<a && y<b)
      {
          Console.WriteLine("?");
      }
      else if(x<a && y==b)
      {
          Console.WriteLine("prvi");
      }
      else if(x==a && y<b)
      {
          Console.WriteLine("drugi");
      }
      else if(x==a && y==b)
      {
          Console.WriteLine("nijedan");
      }
  }
}